Redirects API [Team]
Find redirect relationships between domains. Uses data from our Redirect Domains Dataset.
Endpoint
Section titled “Endpoint”GET https://api.discolike.com/v1/redirectsParameters
Section titled “Parameters”| Parameter | Description |
|---|---|
| domain | Query domain |
| match | Match direction: source or linked |
Response Fields
Section titled “Response Fields”| Field | Type | Description |
|---|---|---|
| source_domain | String | Normalized source domain |
| source_fqdn | String | Full source URL |
| linked_domain | String | Normalized destination domain |
| linked_fqdn | String | Full destination URL |
| record_date | Date | Date the record was compiled |
Example Request
Section titled “Example Request”curl "https://api.discolike.com/v1/redirects?domain=acmeoldsite.com&match=source" \ -H "x-discolike-key: API_KEY"Example Response
Section titled “Example Response”[ { "source_domain": "acmeoldsite.com", "source_fqdn": "acmeoldsite.com", "linked_domain": "acmecorp.com", "linked_fqdn": "acmecorp.com", "record_date": "2024-07-02" }]